### Signal

# GimpUi PatternSelectButton::pattern-set

#### Declaration

    void
    pattern_set (
      GimpPatternSelectButton* self,
      gchar* pattern_name,
      gint width,
      gint height,
      gint bpp,
      gpointer mask_data,
      gboolean dialog_closing,
      gpointer user_data
    )

#### Description [src]

The ::pattern-set signal is emitted when the user selects a pattern.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.
Available since: | 2.4

#### Parameters

`pattern_name` | `gchar*`
| The name of the currently selected pattern.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`width` | `gint`
| Width of the pattern.
`height` | `gint`
| Height of the pattern.
`bpp` | `gint`
| Bpp of the pattern.
`mask_data` | `gpointer`
| Pattern mask data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`dialog_closing` | `gboolean`
| Whether the dialog was closed or not.